Subject: Refactor ExceptionHandler consructors to common use
Description

The implementors extending Error\AbstractExceptionHandler currently all implement their own __construct method which are all
equal.
Move these all same constructors to the AbstractExceptionHandler itself.

Associated revisions
Revision 62df1799 - 2012-06-13 13:20 - Adrian Föder

[TASK] Refactor constructor argument of ExceptionHandler implementors

Moves the redundant constructor method of each AbstractExceptionHandler
implementor to the AbstractExceptionHandler itself.

Change-Id: Id66309fb95d1b21846311ed2c9ab9c9951c945bb
Resolves: #38002
Releases: 1.1, 1.2

Revision 1f3cdea0 - 2012-06-15 10:17 - Adrian Föder

[TASK] Refactor constructor argument of ExceptionHandler implementors

Moves the redundant constructor method of each AbstractExceptionHandler
implementor to the AbstractExceptionHandler itself.

Change-Id: Id66309fb95d1b21846311ed2c9ab9c9951c945bb
Resolves: #38002
Releases: 1.1, 1.2

History
#1 - 2012-06-13 13:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12022
#2 - 2012-06-15 10:17 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12086

#3 - 2012-06-15 10:37 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:62df179937f5ebdd120ce644787232ae4a349737.

#4 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
